Sync with portage [Tue Aug 3 20:25:53 MSK 2021].

akrasnyh 2036
root 3 years ago
parent 02548e350b
commit 9e40776b2c

Binary file not shown.

Binary file not shown.

@ -4,6 +4,7 @@ DIST awscli-1.20.0.tar.gz 2028152 BLAKE2B d746335fc3414e773fbf3cb60b68ea1242162c
DIST awscli-1.20.1.tar.gz 2028927 BLAKE2B bd535f1eba64987c8389c8003b90a1361e95db00a62f13138b35d0f4b6a5130b2e52e38663f4560bf58fe6b86e668ee142a0228001d8cde583d096ce81612264 SHA512 b704ff3f482dd2ccfdf78d01ccff214c9cb9f7b12b1af0a7c615b9567a931a8bc47a444dd8f136a958346750a60fb03a084993a7deb0c234448a9889918c97e6
DIST awscli-1.20.10.tar.gz 2047053 BLAKE2B 1ad45d2703e82c2be1a2847c2312d7199ef55aa7df33568be890c6ce72e03e05cddafeb1cce5c76a5f363bd397f744f1c229fbd5ea518fc53d24f2711e628207 SHA512 9c56ccc0191b319aa7035bce72da9cf1f9e97c9600a202e706244a5eaff419f305c7d68dbcbc96bb622b219efcd56ad6691b149fbf3daf036ebf627987b306f5
DIST awscli-1.20.11.tar.gz 2047295 BLAKE2B d27c2fa2c1f665fe8f691e6d7ddd19a52b0f28e3d648f96f78e5b7f8c58f06252c99e49e739f45e8e70b126d5d3fbcf7f08fb54f837c47c2d3708152496435ec SHA512 d4ae3becbc9fdd863396504c43e4c683827706a7016e73fbd5e412cb8654ec5a3c0e10ee2c4d90455dd5427cfd73fe183d723f43030e4e35916389313dad06d8
DIST awscli-1.20.12.tar.gz 2047696 BLAKE2B d65157579f088e00b7fcb08fd73a5ab9e3ea2bcd7fe4e80734865a4185cb7f7299d9d74f6f59d8bc41e9f4aa71c0f1eda73282fc5e1804c2eb3dcee7f0fcb1a9 SHA512 1d5584586a0fa8c47aaf3ee7bff5af320138e7c25ba605fd4b4a4de498ae795ad822ba3079c68ea2ed0cc57f6fbe696f55110ff979c347b2a5e14f8bb9fca4b7
DIST awscli-1.20.2.tar.gz 2029411 BLAKE2B dad47f749af3c1e7bbeb291eb92889c7dc9bdc9e81ddb1fd3769897f94ba549123589a2ef8a34b88d8370cc6bb5ad45cc7b9fa06ec474620303a78ec3d64100e SHA512 6384a02a7bd3a8ea38cf46725daa25e7656e12c1f3f6465043efc223a82c605dbc916a26debc214ff6d364e81013e729acac424ccccc535785e8a3b68cfce2f6
DIST awscli-1.20.3.tar.gz 2029411 BLAKE2B 6d8573709072ea3955696de0c65a32610446737a216f6c5dd4ecae4cffcb48ecac531cfc598517c037066d066cf0de01510c0740949450ad3a5925af79bd8c16 SHA512 2324800964de8b1af4ae39dcee15e8fc2bd5e11a239c245590a86fac6574d80b290fb9d967df82d6fdd412cd8b783fd209780e5e58846a16302fa13c6f3b93fb
DIST awscli-1.20.4.tar.gz 2043470 BLAKE2B 58722fe4277a7950665913e8b9ae99de8017cfe8c4974a3524f917533499e830d2eea2ac0994022796b979869468b5f3a767727b4384f78e325e423ed003b1b3 SHA512 3066438ac58eb2afb83ae6fef516e09965ceea1e97897e4f5b5760046f28a2f822b16b90c0a9ee6a58c6cdabbfb2f0ce044caf41396093188290e2a7c1e8c4f3

@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests --install nose
PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -18,7 +18,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ~ppc64 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ~ppc64 sparc x86"
IUSE="network-cron nls selinux"
DEPEND=""

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/facebook/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="lz4 static-libs +threads"
RDEPEND="app-arch/xz-utils

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
LICENSE="CPL-1.0 GPL-2"
SLOT="0"
KEYWORDS="amd64 arm ~arm64 ~m68k ~ppc ppc64 ~riscv ~s390 ~x86"
KEYWORDS="amd64 arm ~arm64 ~m68k ~ppc ppc64 ~riscv ~s390 x86"
IUSE="doc selinux" # gtk
# gtk support presently does NOT compile.

Binary file not shown.

@ -1,20 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
MY_P="SelfLinux-${PV}"
DESCRIPTION="german-language hypertext tutorial about Linux"
HOMEPAGE="http://selflinux.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}-html.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="FDL-1.1+"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
src_install() {
dohtml * -r
}

Binary file not shown.

@ -15,7 +15,7 @@ SRC_URI="https://github.com/docker/compose/archive/${MY_PV}.tar.gz -> ${P}.tar.g
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64"
KEYWORDS="amd64 arm64"
IUSE="test"
RESTRICT="!test? ( test )"

@ -0,0 +1,15 @@
https://www.virtualbox.org/changeset/90377/vbox
https://bugs.gentoo.org/805350
https://bugs.gentoo.org/805365
--- VirtualBox-6.1.26/configure
+++ VirtualBox-6.1.26/configure
@@ -1624,6 +1624,8 @@ EOF
else
# Strip .../QtCore as we add components ourself:
INCQT5=`echo "$INCQT5"|$KBUILD_SED 's|\([^ ]*\)/QtCore|\1|g; s| $||g'`
+ # Strip .../QtGui as we add components ourself:
+ INCQT5=`echo "$INCQT5"|$KBUILD_SED 's|\([^ ]*\)/QtGui|\1|g; s| $||g'`
# store only the first path, remove all other paths
# most likely pkg-config gave us -I/usr/include/qt5 -I/usr/include/qt5/QtCore
INCQT5=`echo "$INCQT5"|$KBUILD_SED 's|\([^ ]*\) .*|\1|'`

@ -211,6 +211,8 @@ src_prepare() {
eapply "${FILESDIR}"/virtualbox-5.2.8-paxmark-bldprogs.patch
fi
eapply "${FILESDIR}/${P}-configure-include-qt5-path.patch" #805365
eapply "${WORKDIR}/patches"
default

Binary file not shown.

@ -14,7 +14,7 @@ S="${WORKDIR}/AFLplusplus-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64"
KEYWORDS="amd64 arm64"
IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

Binary file not shown.

@ -1,2 +1 @@
DIST remind-03.01.15.tar.gz 363101 BLAKE2B a5e27b83c20428991982c3cae22b32be6cc054bfd51a868ee3515f5ec4a37aa24f8ec476f566860ca0fbb6f29e7c9f3e6ed023714e52091ebca103162936877f SHA512 335f3ca88237f1ae53768b9ecdeb03f0bb1e706a8afd3ba36121ec76048a08fbc0d5ec72b05e552394b4cf2131be335c49533e1212b7e713ef16002a0621fc84
DIST remind-03.03.05.tar.gz 402481 BLAKE2B 8fabc3269a06aaf3502c2245653442ddf6c101c3f62718769418c28850da467d210f381ef3452e95b6dbc921fe06979b4c38be8b7389a9defd76865da66080f3 SHA512 56b37dfc50a6c6a8a284691d7f1c39d542b7309ec12a029c65b68f7921cd43521d3cef9fc8d21f4a9f4a7609b0e00013e7f2793b529f39f80d63ae1fe5194fd4

@ -1,43 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
DESCRIPTION="Ridiculously functional reminder program"
HOMEPAGE="http://www.roaringpenguin.com/products/remind"
SRC_URI="http://www.roaringpenguin.com/files/download/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE="tk"
RDEPEND="tk? ( dev-lang/tk dev-tcltk/tcllib )"
DOCS="docs/WHATSNEW examples/defs.rem www/README.*"
src_prepare() {
sed -i 's:$(MAKE) install:&-nostripped:' "${S}"/Makefile || die
}
src_test() {
if [[ ${EUID} -eq 0 ]] ; then
ewarn "Testing fails if run as root. Skipping tests."
else
emake test
fi
}
src_install() {
default
dobin www/rem2html
if ! use tk ; then
rm "${D}"/usr/bin/tkremind "${D}"/usr/share/man/man1/tkremind* \
"${D}"/usr/bin/cm2rem* "${D}"/usr/share/man/man1/cm2rem*
fi
rm "${S}"/contrib/rem2ics-*/{Makefile,rem2ics.spec} || die
insinto /usr/share/${PN}
doins -r contrib/
}

@ -12,7 +12,6 @@ SRC_URI="https://github.com/rpodgorny/uptimed/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~mips ppc ppc64 sparc x86"
IUSE="static-libs"
RDEPEND="
acct-group/uptimed
@ -29,7 +28,7 @@ src_prepare() {
}
src_configure() {
econf $(use_enable static-libs static)
econf --disable-static
}
src_install() {

@ -12,7 +12,6 @@ SRC_URI="https://github.com/rpodgorny/uptimed/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="static-libs"
RDEPEND="
acct-group/uptimed
@ -29,7 +28,7 @@ src_prepare() {
}
src_configure() {
econf $(use_enable static-libs static)
econf --disable-static
}
src_install() {

@ -12,7 +12,6 @@ SRC_URI="https://github.com/rpodgorny/uptimed/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="static-libs"
RDEPEND="
acct-group/uptimed
@ -26,10 +25,6 @@ src_prepare() {
eautoreconf
}
src_configure() {
econf $(use_enable static-libs static)
}
src_install() {
local DOCS=( ChangeLog README.md TODO AUTHORS CREDITS INSTALL.cgi sample-cgi/* )
default

Binary file not shown.

@ -1,2 +1 @@
DIST kmymoney-5.1.1.tar.xz 12059768 BLAKE2B 8b41bce8804d757ba9c801c7b1eeb214a8983c4686a9663a4b5255460139593b7f70e29f08294df810a02eab4190dc6de852be091760981fd84ff8191fda82a3 SHA512 2ed3e47b2e65c9d9e5a11b55f0d425192331b21d64f8a4a4f8921fdd67eac219bf3ae1418026071218d823acc9a36905dc5c499cb0ae2af4ced0e32d1720bf59
DIST kmymoney-5.1.2.tar.xz 12640912 BLAKE2B 72abd190914eef258e6745ca9835de14bdb2060b0d025f8bdb1bc0e12b773fc891b143fe36adb8b7afcc86498601f6e1a7f9485f9a11c875f4c75bfe01d93738 SHA512 38c60998be4e3ffb49091eb2085b293c2d5265f6582e980d2dc60a66a00862b6afd3e2152c752a9fb14a7bf8b6255a0c39b69b65e2f5c976f23d965e3a1cdf46

@ -1,132 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGIT_BRANCH="5.1"
ECM_HANDBOOK="optional"
ECM_TEST="forceoptional"
KFMIN=5.74.0
QTMIN=5.15.1
VIRTUALX_REQUIRED="test"
VIRTUALDBUS_TEST="true"
inherit ecm kde.org optfeature
DESCRIPTION="Personal finance manager based on KDE Frameworks"
HOMEPAGE="https://kmymoney.org/"
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
KEYWORDS="amd64 x86"
fi
LICENSE="GPL-2"
SLOT="5"
IUSE="activities addressbook calendar hbci holidays"
[[ ${KDE_BUILD_TYPE} = live ]] && IUSE+=" experimental"
BDEPEND="virtual/pkgconfig"
RDEPEND="
>=app-crypt/gpgme-1.7.1-r1[cxx]
>=app-office/libalkimia-7.0.0:=
dev-db/sqlcipher
dev-libs/gmp:0=[cxx(+)]
dev-libs/kdiagram:5
dev-libs/libgpg-error
dev-libs/libofx:=
>=dev-qt/qtdbus-${QTMIN}:5
>=dev-qt/qtgui-${QTMIN}:5
>=dev-qt/qtnetwork-${QTMIN}:5
>=dev-qt/qtprintsupport-${QTMIN}:5
>=dev-qt/qtsql-${QTMIN}:5
>=dev-qt/qtsvg-${QTMIN}:5
>=dev-qt/qtwebengine-${QTMIN}:5[widgets]
>=dev-qt/qtwidgets-${QTMIN}:5
>=dev-qt/qtxml-${QTMIN}:5
>=kde-frameworks/karchive-${KFMIN}:5
>=kde-frameworks/kcmutils-${KFMIN}:5
>=kde-frameworks/kcodecs-${KFMIN}:5
>=kde-frameworks/kcompletion-${KFMIN}:5
>=kde-frameworks/kconfig-${KFMIN}:5
>=kde-frameworks/kconfigwidgets-${KFMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kiconthemes-${KFMIN}:5
>=kde-frameworks/kio-${KFMIN}:5
>=kde-frameworks/kitemmodels-${KFMIN}:5
>=kde-frameworks/kitemviews-${KFMIN}:5
>=kde-frameworks/kjobwidgets-${KFMIN}:5
>=kde-frameworks/knotifications-${KFMIN}:5
>=kde-frameworks/kservice-${KFMIN}:5
>=kde-frameworks/ktextwidgets-${KFMIN}:5
>=kde-frameworks/kwallet-${KFMIN}:5
>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
>=kde-frameworks/kxmlgui-${KFMIN}:5
>=kde-frameworks/sonnet-${KFMIN}:5
activities? ( >=kde-frameworks/kactivities-${KFMIN}:5 )
addressbook? (
kde-apps/akonadi:5
kde-apps/kidentitymanagement:5
>=kde-frameworks/kcontacts-${KFMIN}:5
)
calendar? ( dev-libs/libical:= )
hbci? (
>=net-libs/aqbanking-6.0.1
>=sys-libs/gwenhywfar-5.1.2:=[qt5]
)
holidays? ( >=kde-frameworks/kholidays-${KFMIN}:5 )
"
DEPEND="${RDEPEND}
dev-libs/boost
"
pkg_setup() {
ecm_pkg_setup
if [[ ${KDE_BUILD_TYPE} = live ]] && use experimental; then
ewarn "USE experimental set: Building unfinished features."
ewarn "This *will* chew up your data. You have been warned."
fi
}
src_configure() {
local mycmakeargs=(
-DENABLE_OFXIMPORTER=ON
-DENABLE_WEBENGINE=ON
-DENABLE_WEBOOB=OFF
-DUSE_QT_DESIGNER=OFF
$(cmake_use_find_package activities KF5Activities)
$(cmake_use_find_package addressbook KF5Akonadi)
$(cmake_use_find_package addressbook KF5Contacts)
$(cmake_use_find_package addressbook KF5IdentityManagement)
-DENABLE_LIBICAL=$(usex calendar)
-DENABLE_KBANKING=$(usex hbci)
$(cmake_use_find_package holidays KF5Holidays)
)
[[ ${KDE_BUILD_TYPE} = live ]] &&
mycmakeargs+=( -DENABLE_UNFINISHEDFEATURES=$(usex experimental) )
ecm_src_configure
}
src_test() {
# bug 652636; bug 673052: needs kmymoney installed to succeed
local myctestargs=(
-E "(reports-chart-test|qsqlcipher-test)"
)
ecm_src_test
}
pkg_postinst() {
if [[ -z "${REPLACING_VERSIONS}" ]]; then
optfeature "more options for online stock quote retrieval" dev-perl/Finance-Quote
fi
if has_version "app-office/kmymoney[quotes]"; then
elog "Please note: IUSE=quotes flag is gone in ${PN}-5.1.1. ${PN} still"
elog "does online stock quote retrieval without it, but dev-perl/Finance-Quote"
elog "may provide additional sources. To keep the functionality, run:"
elog " emerge --noreplace dev-perl/Finance-Quote"
fi
ecm_pkg_postinst
}

@ -17,7 +17,7 @@ HOMEPAGE="https://kmymoney.org/"
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
fi
LICENSE="GPL-2"

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc nls sqlite"
DEPEND="

Binary file not shown.

@ -1 +1,2 @@
DIST bibletime-3.0.1.tar.xz 1630180 BLAKE2B fe03cc8396f44ba0d68e27d50f60435c9d9501b620278c5d7565bea50c18f711675ac1020c6738790eb8452380ed974cba1a41bfb6f87778224d814c63e10aa3 SHA512 217e45c034d8fd8de4b7ef936f340a613fd7046b4700f828edd6d6f32f4bad4ecda2ec2c4425461af39c6926170fe080406238780e3c63bdbe0273679e0aef94
DIST bibletime-3.0.tar.xz 1568732 BLAKE2B f1e9cb23d64d566d8b0934cfbdffabb52193f240523ad3ba79bbf0e3cd3ff516354791bf0b057354820cd3303c01d3ec50aa61f2e7843b1083c74d442d915a89 SHA512 85afc2781807345ea8fdefea6d179955fa76085c0a9c97e47321ea37ef9ea05367678c54bacfc10cf1d6085d46ba6fbd1c7d448044ffdfe3c96007ee8d7e5c00

@ -0,0 +1,59 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake xdg-utils
DESCRIPTION="Qt Bible-study application using the SWORD library"
HOMEPAGE="https://bibletime.info/"
SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND=">=app-text/sword-1.8.1
dev-cpp/clucene
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtprintsupport:5
dev-qt/qtsvg:5
dev-qt/qtwebchannel:5
dev-qt/qtwebengine:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5"
DEPEND="${RDEPEND}
dev-libs/boost
dev-libs/icu:=
dev-qt/linguist-tools:5
dev-qt/qttest:5
net-misc/curl
sys-libs/zlib"
DOCS=( ChangeLog README.md )
src_prepare() {
cmake_src_prepare
sed -e "s:Dictionary;Qt:Dictionary;Office;TextTools;Utility;Qt:" \
-i cmake/platforms/linux/bibletime.desktop.cmake || die "fixing .desktop file failed"
}
src_configure() {
local mycmakeargs=(
-DBUILD_HANDBOOK_HTML=no
-DBUILD_HANDBOOK_PDF=no
-DBUILD_HOWTO_HTML=no
-DBUILD_HOWTO_PDF=no
)
cmake_src_configure
}
pkg_postinst() {
xdg_icon_cache_update
}
pkg_postrm() {
xdg_icon_cache_update
}

@ -0,0 +1 @@
DIST kchmviewer-8.0.tar.gz 311899 BLAKE2B f317dcc17fa88f30a4a1867b59b16bdc78457b46f4f3d3b78bd5d9d50745bf2d2329df170568c7814a02814a77b319bbd1d9f8edc3c1da0071a6ce64965b26bf SHA512 28ae8ee8a6f4a9be2e8a9666f6326906e04f34ad80a363697fc7e5bfbc745e6671884add3f57b6a1264f2056428cb0a31504da9c69a0bede0c3b485a08e75048

@ -0,0 +1,59 @@
From 9ac73e7ad15de08aab6b1198115be2eb44da7afe Mon Sep 17 00:00:00 2001
From: George Yunaev <gyunaev@ulduzsoft.com>
Date: Fri, 21 May 2021 15:57:21 -0700
Subject: [PATCH] Custom URL scheme registration needs to be applied once per
https://doc.qt.io/qt-5/qwebengineurlschemehandler.html
---
src/viewwindow_webengine.cpp | 20 +++++++++++++-------
src/viewwindow_webengine.h | 3 ---
2 files changed, 13 insertions(+), 10 deletions(-)
diff --git a/src/viewwindow_webengine.cpp b/src/viewwindow_webengine.cpp
index 631d84d..34f3396 100644
--- a/src/viewwindow_webengine.cpp
+++ b/src/viewwindow_webengine.cpp
@@ -63,16 +63,22 @@ ViewWindow::ViewWindow( QWidget * parent )
m_contextMenuLink = 0;
m_storedScrollbarPosition = -1; // see header
- // Use our network emulation layer. I don't know if we transfer the ownership when we install it,
- // so we create one per page. May be unnecessary.
- m_provider = new DataProvider_QWebEngine( this );
-
- page()->profile()->installUrlSchemeHandler( EBook_CHM::urlScheme(), m_provider );
- page()->profile()->installUrlSchemeHandler( EBook_EPUB::urlScheme(), m_provider );
-
// All links are going through us
//page()->setLinkDelegationPolicy( QWebPage::DelegateAllLinks );
+ // This needs to be done only once
+ static bool providerInstalled = false;
+
+ if ( !providerInstalled )
+ {
+ // Use our network emulation layer. We do not transfer the ownership when we install it. See https://doc.qt.io/qt-5/qwebengineurlschemehandler.html
+ DataProvider_QWebEngine * provider = new DataProvider_QWebEngine( 0 );
+
+ QWebEngineProfile::defaultProfile()->installUrlSchemeHandler( EBook_CHM::urlScheme(), provider );
+ QWebEngineProfile::defaultProfile()->installUrlSchemeHandler( EBook_EPUB::urlScheme(), provider );
+ providerInstalled = true;
+ }
+
connect( this, SIGNAL( loadFinished(bool)), this, SLOT( onLoadFinished(bool)) );
// Search results highlighter
diff --git a/src/viewwindow_webengine.h b/src/viewwindow_webengine.h
index 0adea31..3e96690 100644
--- a/src/viewwindow_webengine.h
+++ b/src/viewwindow_webengine.h
@@ -128,9 +128,6 @@ class ViewWindow : public QWebEngineView
// It is set to -1 if no scrollbar position has been set and the page is not loaded yet
// It is set to 0 if no scrollbar position has been set and the page is loaded already
int m_storedScrollbarPosition;
-
- // Data provider
- DataProvider_QWebEngine * m_provider;
};
#endif // VIEWWINDOW_WEBENGINE_H

@ -0,0 +1,30 @@
From e3b09edbbae17ad19661a7514afe5a9d84ca0ffa Mon Sep 17 00:00:00 2001
From: George Yunaev <gyunaev@ulduzsoft.com>
Date: Sun, 23 May 2021 15:03:06 -0700
Subject: [PATCH] Adding support for old single-pass gcc linker which requires
a specific order of libraries. Thanks to @u-235 for reporting and patch.
---
src/src.pro | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/src.pro b/src/src.pro
index e75d6a9..14c31a1 100644
--- a/src/src.pro
+++ b/src/src.pro
@@ -40,7 +40,6 @@ SOURCES += config.cpp \
textencodings.cpp \
treeitem_toc.cpp \
treeitem_index.cpp
-LIBS += -lchm -lzip
TARGET = ../bin/kchmviewer
CONFIG += threads \
warn_on \
@@ -106,6 +105,7 @@ unix:!macx: {
LIBS += ../lib/libebook/libebook.a
POST_TARGETDEPS += ../lib/libebook/libebook.a
}
+LIBS += -lchm -lzip
greaterThan(QT_MAJOR_VERSION, 4) {
# Qt 5

@ -0,0 +1,46 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop qmake-utils xdg
DESCRIPTION="Feature rich chm file viewer, based on Qt"
HOMEPAGE="https://www.ulduzsoft.com/kchmviewer/"
SRC_URI="https://github.com/gyunaev/${PN}/archive/refs/tags/RELEASE_${PV/./_}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/kchmviewer-RELEASE_8_0"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
dev-libs/chmlib
dev-libs/libzip:=
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtwebengine:5[widgets]
dev-qt/qtwidgets:5
dev-qt/qtxml:5
"
RDEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}/${P}-underlinking.patch"
"${FILESDIR}/${P}-custom-url-scheme-registration.patch"
)
src_configure() {
eqmake5
}
src_install() {
dodoc ChangeLog DBUS-bindings FAQ README
doicon packages/kchmviewer.png
dobin bin/kchmviewer
domenu packages/kchmviewer.desktop
}

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<remote-id type="github">gyunaev/kchmviewer</remote-id>
</upstream>
</pkgmetadata>

@ -1,2 +1 @@
DIST vilistextum-2.6.9.tar.bz2 147743 BLAKE2B 1cf6f187cb277271ddd9946984afb4d59336ea0cd446e62df3593070ccc63b3510a107e2b7e7b8dc757c63e4f5caf3790c7d998b6be325f4d22d2a6b9fea3432 SHA512 ce76a4061b766e4544d1a86986333314a3b6959439ba6995a2977c10b01b0142c524d4b215c3272a1dcfcc4f5b6fda03210de95d65cedecfc6a1c940cedf487d
DIST vilistextum-2.8.0.20200411.tar.gz 219791 BLAKE2B 95b86d17e8dbf29b520aa48c88eb8c9e8abb01a234848ed55bdad0a63a7c0ec8ca9ae7c437fe7f84bbf7f4dad74fc8437a9e3b53493552e9e01b8029b10ef18a SHA512 40a219ebe7bebd61548a3bad794690cf091b67b70e8e6c44548a0c1b9f61077b141a035335e7128b191a8501103707f5324b00326a407e29ec0fee383c4d0917

@ -1,113 +0,0 @@
Many clients seem to use blockquote tags to flag quotes these days, so
write them out as quotes, so they remain readable.
--- vilistextum-2.6.9/src/html_tag.c
+++ vilistextum-2.6.9/src/html_tag.c
@@ -87,8 +87,8 @@
else if CMP("P", str) { start_p(); }
else if CMP("/P", str) { paragraphen_ende(); }
- else if CMP("BLOCKQUOTE", str) { start_p(); }
- else if CMP("/BLOCKQUOTE", str) { paragraphen_ende(); }
+ else if CMP("BLOCKQUOTE", str) { start_p(); quote++; }
+ else if CMP("/BLOCKQUOTE", str) { paragraphen_ende(); if (quote>0) quote--;}
else if CMP("Q", str) { wort_plus_ch('"'); }
else if CMP("/Q", str) { wort_plus_ch('"'); }
--- vilistextum-2.6.9/src/multibyte.h
+++ vilistextum-2.6.9/src/multibyte.h
@@ -16,6 +16,7 @@
#define ATOI(n) wcstoi(n)
#define ONESPACE L" "
+ #define QUOTE L">"
#define WORT_PLUS_STRING(str) wort_plus_string(L##str)
#define STRSTR(haystack, needle) wcsstr(haystack, L##needle)
@@ -40,6 +41,7 @@
#define ATOI(n) atoi(n)
#define ONESPACE " "
+ #define QUOTE ">"
#define WORT_PLUS_STRING(str) wort_plus_string(str)
#define STRSTR(haystack, needle) strstr(haystack, needle)
--- vilistextum-2.6.9/src/text.h
+++ vilistextum-2.6.9/src/text.h
@@ -26,6 +26,7 @@
int tab;
int spaces;
+int quote;
void print_zeile();
int is_zeile_empty();
--- vilistextum-2.6.9/src/text.c
+++ vilistextum-2.6.9/src/text.c
@@ -28,6 +28,7 @@
int breite=76,
hr_breite=76,
paragraph=0,
+ quote=0,
tab=4, /* tabulator */
spaces=0, /* spaces at beginning of line */
@@ -325,6 +326,12 @@
printf(" z0: zeilen_pos: %d\n",zeilen_pos);
#endif
print_zeile();
+ if (quote > 0)
+ {
+ i=0;
+ while (i<quote) { zeile_plus_wort(QUOTE,1,1); i++; }
+ zeile_plus_wort(ONESPACE,1,1);
+ }
i=0;
while (i<spaces) { zeile_plus_wort(ONESPACE,1,1); i++; }
if (orderedlist>0) { zeile_plus_wort(ONESPACE,1,1); }
@@ -345,6 +352,12 @@
printf(" z2: zeilen_len: %d\n",zeilen_len);
printf(" z2: zeilen_pos: %d\n",zeilen_pos);
#endif
+ if (quote > 0)
+ {
+ i=0;
+ while (i<quote) { zeile_plus_wort(QUOTE,1,1); i++; }
+ zeile_plus_wort(ONESPACE,1,1);
+ }
i=0;
while (i<spaces) { zeile_plus_wort(ONESPACE,1,1); i++; }
if (orderedlist>0) { zeile_plus_wort(ONESPACE,1,1); }
--- vilistextum-2.6.9/tests/check_utf8
+++ vilistextum-2.6.9/tests/check_utf8
@@ -9,5 +9,6 @@
rm -f utf-8-sampler.output.test
../src/vilistextum utf-8-sampler.html utf-8-sampler.output.test
-diff >/dev/null utf-8-sampler.output utf-8-sampler.output.test
+sed 's/^> //' utf-8-sampler.output.test | \
+diff >/dev/null utf-8-sampler.output -
--- vilistextum-2.6.9/tests/utf-8-sampler.output
+++ vilistextum-2.6.9/tests/utf-8-sampler.output
@@ -100,8 +100,8 @@
ვეპხის ტყაოსანი შოთა რუსთაველი
ღმერთსი შემვედრე, ნუთუ კვლა დამხსნას სოფლისა შრომასა, ცეცხლს, წყალსა და
-მიწასა, ჰაერთა თანა მრომასა; მომცნეს ფრთენი და აღვფრინდე, მივჰხვდე მას ჩემსა
-ნდომასა, დღისით და ღამით ვჰხედვიდე მზისა ელვათა კრთომაასა.
+მიწასა, ჰაერთა თანა მრომასა; მომცნეს ფრთენი და აღვფრინდე, მივჰხვდე მას
+ჩემსა ნდომასა, დღისით და ღამით ვჰხედვიდე მზისა ელვათა კრთომაასა.
Tamil poetry of Cupiramaniya Paarathiyar: சுப்ரமணிய பாரதியார் (1882-1921)
@@ -446,7 +446,8 @@
д, п, and/or т:
Bulgarian:   [ бгдпт ]   [ бгдпт ]   Мога да ям стъкло и не ме боли.
- Russian: [ бгдпт ]   [ бгдпт ]   Я могу есть стекло, это мне не вредит.
+ Russian: [ бгдпт ]   [ бгдпт ]   Я могу есть стекло, это мне не
+вредит.
Serbian: [ бгдпт ]   [ бгдпт ]   Могу јести стакло а да ми не шкоди.
------------------------------------------------------------------------

@ -1,23 +0,0 @@
OSX Lion has wcscasecmp, but is not GNU
--- configure.in
+++ configure.in
@@ -67,6 +67,7 @@
dnl Checks for library functions.
AC_CHECK_FUNCS(strstr)
AC_CHECK_FUNCS(strcasecmp)
+AC_CHECK_FUNCS(wcscasecmp)
dnl create testsuite
dnl AC_CONFIG_TESTDIR([tests])
--- src/html.c
+++ src/html.c
@@ -40,7 +40,7 @@
link_inline[DEF_STR_LEN]; /* Link of a HTML-Tag */
/* ------------------------------------------------ */
-#if defined(MULTIBYTE) && ! defined(__GNU_LIBRARY__)
+#if defined(MULTIBYTE) && ! defined(HAVE_WCSCASECMP)
#include <wchar.h>
static int wcscasecmp(const wchar_t *s1, const wchar_t *s2)
{

@ -1,22 +0,0 @@
diff -ur vilistextum-2.6.9/src/Makefile.am vilistextum-2.6.9.new/src/Makefile.am
--- vilistextum-2.6.9/src/Makefile.am 2006-10-24 01:48:54.000000000 +0700
+++ vilistextum-2.6.9.new/src/Makefile.am 2006-11-20 09:51:24.000000000 +0700
@@ -6,7 +6,7 @@
main.c main.h util.c util.h \
multibyte.h unicode_entities.c unicode_entities.h
-AM_CFLAGS = -Wall -O2 -ansi
+AM_CFLAGS = -Wall -ansi
AM_LDFLAGS = $(STATIC)
EXTRA_DIST = kilistextum.kaptn
diff -ur vilistextum-2.6.9/tests/Makefile.am vilistextum-2.6.9.new/tests/Makefile.am
--- vilistextum-2.6.9/tests/Makefile.am 2004-07-06 19:06:20.000000000 +0700
+++ vilistextum-2.6.9.new/tests/Makefile.am 2006-11-20 09:51:05.000000000 +0700
@@ -16,5 +16,5 @@
test: check
-all: check
+all:

@ -1,27 +0,0 @@
* don't look in /usr/local
* try to hack around not being able to use AM_ICONV
--- configure.in.orig 2006-10-23 22:20:19 +0200
+++ configure.in 2010-03-18 19:32:13 +0100
@@ -21,10 +21,6 @@
AC_HEADER_STDC
AC_CHECK_HEADERS(getopt.h)
-dnl add /usr/local
-CFLAGS="$CFLAGS -I/usr/local/include"
-LDFLAGS="$LDFLAGS -L/usr/local/lib"
-
dnl checking for options
AC_MSG_CHECKING(if --enable-multibyte specified)
AC_ARG_ENABLE(multibyte,
@@ -41,7 +37,9 @@
AC_CHECK_HEADERS(iconv.h,,
AC_MSG_ERROR(Need libiconv or iconv.h for multibyte support))
-AC_CHECK_LIB(iconv, iconv,,
+dnl iconv_open_into is implemented only in GNU libiconv and not in other
+dnl iconv implementations
+AC_CHECK_LIB(iconv, libiconv_open_into,,
AC_MSG_WARN([Generic iconv found but not libiconv. See INSTALL for details]))
dnl setting INTERNAL_LOCALE

@ -1,76 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit epatch autotools
DESCRIPTION="HTML to ASCII converter programmed to handle incorrect html"
HOMEPAGE="https://bhaak.net/vilistextum/"
SRC_URI="https://bhaak.net/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
#IUSE="unicode kde"
IUSE="unicode"
DEPEND="virtual/libiconv"
RDEPEND=""
# KDE support will be available once a version of kaptain in stable
# kde? ( kde-misc/kaptain )"
src_prepare() {
epatch \
"${FILESDIR}/${P}-gentoo.diff" \
"${FILESDIR}/${P}-prefix.patch" \
"${FILESDIR}/${P}-darwin11.patch" \
"${FILESDIR}/${P}-blockquote.patch"
eautoreconf
}
get_locale() {
locale -a | grep -i "$1\.utf.*8\$"
}
find_locale() {
local l t
# we basically prefer to find en_US.UTF-8, but it may not always be
# available, in which case it is better not to hardcode to use it
l=$(get_locale en_US)
if [[ -z ${l} ]] ; then
for t in "en_GB" "en_.*" ".*" ; do
l=$(get_locale ${t})
if [[ -n ${l} ]] ; then
l=${l%%$'\n'*}
break;
fi
done
fi
[[ -z ${l} ]] && die "Failed to find a unicode locale"
echo "${l}"
}
src_configure() {
# need hardwired locale simply because locale -a | grep -i utf-8 | head -n1
# isn't always returning the most sensical (and working) locale
econf \
$(use_enable unicode multibyte) \
$(use_with unicode unicode-locale $(find_locale))
}
src_test() {
if $(locale -a | grep -iq "en_US\.utf.*8"); then
emake -j1 check
else
ewarn "If you like to run the test,"
ewarn "please make sure en_US.UTF-8 is installed."
die "en_US.UTF-8 locale is missing"
fi
}
src_install() {
default
dohtml doc/*.html
}

Binary file not shown.

@ -8,4 +8,4 @@ inherit vim-plugin
DESCRIPTION="vim plugin: Nginx configuration files syntax"
HOMEPAGE="https://www.vim.org/scripts/script.php?script_id=1886"
LICENSE="vim"
KEYWORDS="amd64 arm ~arm64 ppc ~ppc64 ~riscv x86 ~amd64-linux"
KEYWORDS="amd64 arm arm64 ppc ~ppc64 ~riscv x86 ~amd64-linux"

Binary file not shown.

@ -14,7 +14,7 @@ S="${WORKDIR}/${MY_PN}-${PV}"
LICENSE="|| ( LGPL-2 BSD )"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="gtk"
RDEPEND="gtk? ( x11-libs/gtk+:2[${MULTILIB_USEDEP}] )"

Binary file not shown.

@ -1,2 +1,2 @@
DIST mozart-2.0.1-gentoo-patchset-1.tar.gz 39069 BLAKE2B 7490d13665314b3a998fb21bd8a342f262d92a395c3b0bbfa9a7813c044220c82ac02eb0103409127862c9bb4e4c44765b1228a7bdea2cb247492c94264f4fe0 SHA512 ce3cdb8ffebd95d6065439432905ad68b9cd8b86f58478092ab55df7ae7c72498a3e29bda462f3305aff6c99d010c45d786f905e2e906550ee61656ba122bbc6
DIST mozart-2.0.1-gentoo-patchset-2.tar.gz 39435 BLAKE2B 18fe6f6e0d81d3b7901c73df567d79b6d8d8564bc49eb10dace2669de1448672a48dc0c509afbb5c506e8af65902ce36cb30f48c7fa26b6aa49cc09988218d42 SHA512 407da6fae39734097ab22fec5bc97ad1beb9103b13484ee0429a40a8f5803f6ed2abd2a64cfb56ccdddf9f82a2d9cd0883fe0a8f8a94bee963590606e1667127
DIST mozart-2.0.1.tar.gz 2281261 BLAKE2B 7f071e9ec130a0b482b299f4dac15d64f632702d6ecf55b7af0993087064e533b4de80f77520a725f69f68648a9ce763c8c8826bb24e52af49eda8c3ccfba0b5 SHA512 a72a6fa68296d06af72327fd11310b3be152e5ad9a56f1fc4200ac7b89cd177e9a23a38c6721e1885d4f2ed0870065e919fb9fe3c9a2833fcd8e4ac0fd43aeb4

@ -5,7 +5,7 @@ EAPI=7
inherit cmake elisp-common java-pkg-2 java-ant-2
PATCHSET_VER="1"
PATCHSET_VER="2"
DESCRIPTION="Advanced development platform for intelligent, distributed applications"
HOMEPAGE="http://mozart2.org/"

@ -12,7 +12,7 @@ SRC_URI="https://github.com/mgorny/python-exec/releases/download/v${PV}/${P}.tar
LICENSE="BSD-2"
SLOT="2"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
# Internal Python project hack. Do not copy it. Ever.
IUSE="${_PYTHON_ALL_IMPLS[@]/#/python_targets_} +native-symlinks test"
RESTRICT="!test? ( test )"

@ -2,6 +2,8 @@ DIST Python-2.7.18.tar.xz 12854736 BLAKE2B 060a621c91dd8e3d321aec99d44c17aa67381
DIST Python-2.7.18.tar.xz.asc 833 BLAKE2B 1d98770e46171971fb99994508d238c01d2755281d2f94353314014d9e83e0ec5f0b3e3950ea1fdf5fce9ba6b8f55312355845c2a3fc4291c27ee56fe6215448 SHA512 c2a5f5a52f47dec52460ad3275758d4e5de6e7075c3def4353c988d74d563a39b42cae2d5eb24e2a23a6247cef69100f91620b11a49c2359fbf99b203c9cbda8
DIST Python-3.10.0b4.tar.xz 18652712 BLAKE2B 227a6e6ce5b8ddec7b3cf39a65e0287cb541185a1b58a4f4ae9dbc83bbd5d7bdceff2992d3e7c2ec4cda7fb492123e54f8cc60b6b259bbe776e1414a8e6753f7 SHA512 deb5ce510c381ce7fcdc7056754b3afccdbc4610cb77b85115859a5e636065584f517e0931a31f77723c09229b2fd751011b1cf16967c075f629018f0a7975a4
DIST Python-3.10.0b4.tar.xz.asc 833 BLAKE2B 0aaabe7aca916bd3e80dee979cf6466b0fd0f25aa48a2955d1bfe84be8903988ccd2c5030433fdb5165b342a3acdc3ec958827028260b59bb105f41ceb5852b1 SHA512 55ef4265d9217f35e5f1da3b8b560f711c3f118230ff5fb7fe3ab5e189c22c331cecb9783465234ac0df8a1e075887b5fedfbc181cab6e571e5e2f8403d9720d
DIST Python-3.10.0rc1.tar.xz 28197832 BLAKE2B e86f26a299c33b4f0595d3b3dba17cff6e68ffcb82de61f8d8d5e425906dca3523dd06f96737006a85dba73afabc5461814f1691575e2f9679dd89e56327c9e8 SHA512 c92fab7b79a4c8125cd3e9d2ea4f03b8356ba77dc05a46b277a56c861c130e90e87c755f5e00f3d4517d50b453e34592f77e812bc1831d4bab3cc3af2110d8fd
DIST Python-3.10.0rc1.tar.xz.asc 833 BLAKE2B 6446ea32a7d62686e33476c328d71aeb67675863be10b3e02ffcef376868fc2027a3dd355ad22c046acbf4ff2d6cc20e7cf46215229b8b36e706b77ef993e920 SHA512 e3dcc240b9fecdfc2a90b7845b57ebbc34bda5c85c09c7dae6b5b34f3d355da674ffad28d83a8b281da97c407f11ac5fdc88da09c6cdac41ac93e6e70b5f813c
DIST Python-3.6.13.tar.xz 17213520 BLAKE2B 7c1938f92616d428d107a70397a9f7fc82377d0e3d26c2da4f5bcb79a54115f71498a5e7b5f601b6cff6f362ec1f689c3ac920eb248956e1e4f6c21602514dd1 SHA512 0482b3e7eea22b0635b61f06753e77c832c9431385c5ea1ecb8f60868262afd2b45c239badb8e906a33f035ffbf347b4a499fe6f0f008f1fa9ecc9de66c63947
DIST Python-3.6.13.tar.xz.asc 833 BLAKE2B bc1df46c2e460c2d237647ecff84e12c75f6ed24a432d2f9cbefdead8a77d4468e5e4ed9f4debac593c63cf95d27c9f7d0f94dce69af8746cc71f0d0b1810245 SHA512 f6e8936a5e5b45d3ad41184717f5ed75debe29f81138fd1b75b53bc7d2905edff42b42dd7995b11ba6d80233c5c3755521edb19d7ac28d414bfebb2d1dfc0c86
DIST Python-3.6.14.tar.xz 17218148 BLAKE2B efe655cb907ffa678ca135f88ba9d867e523969ad82dbc09ffb6d8d383824a4b43c525e156a3c35484a526b4b3ea755109e5ef15d17852d44e3351c307fc5e91 SHA512 15b82b7285db97cb27a6fcd57ce9e258fdf8dbdb2f00e22e4331161b8557c8244342546c4143e84c72730759e0276770396b6ca5bb7cf87310cca8e175423006
@ -20,6 +22,7 @@ DIST Python-3.9.6.tar.xz 19051972 BLAKE2B 0d8586b2935088eeab7138cf2210c1a74f1bf7
DIST Python-3.9.6.tar.xz.asc 833 BLAKE2B 41901bfb80a901f2f14e86769e6d08ded8f75656d347201345183162e180e61442da871a1067572a54da579551166a19bf5436e51581bb10cb78afc4d28773fc SHA512 0673c8833f302c829bfde97453c52744f6aa99b4a72520f4cc384d4aa9d6ffd28a1407ceafb0a1ec4462b3aa74b656bf39c67872c4e6a131429ea58c47ad0ecc
DIST python-gentoo-patches-2.7.18_p11.tar.xz 31340 BLAKE2B bdc097b971ab8ec0b60f944002af34f3fff6b681c43515a4fec2fcac1a2c731bf4fcfae2178463103911e2f8cd6bc84d3b56cd0ad61da5c8276278ec9b85a242 SHA512 2a2388c4543267bfb0167f963a22f5141442c9347d9a8806ad6917843e6958d47c8f1933244651c870101b21408c920408fe056efb7a148117c24ab391151d88
DIST python-gentoo-patches-3.10.0b4.tar.xz 8128 BLAKE2B d6357464f540db255d97e0135676b1a3188ab595b01192c0ba24917a08f24fdda64528de788a942cbff79e8eb8e0e21d509152c18a94dfb629c898ac06f1a408 SHA512 8ee4ced4631335341277b10d38c9c86a53f7098669ca6aacb9fe94d6751df0694f4238068867a951f53740ea1bb4f7fb90aae4f2e1151681b7a215d406eaefd0
DIST python-gentoo-patches-3.10.0rc1.tar.xz 8112 BLAKE2B d6f9b44c5a231f447ffe3533afbcaffe0f3b8bdd5a6690f1854bd7e1199d036d11a4cf4abfae345a88c42740ccbd4b72e53cbe28aea1a5db39dda1e5bfd47229 SHA512 bba7045f56369ca0354a539f8478a1afed77dc89a9faf548a0cf8959d644360b0afc4f84b95151ebfc2a6553078322c7445073f7a4104e9cd639ccc86ad0f792
DIST python-gentoo-patches-3.6.13_p5.tar.xz 21940 BLAKE2B f6753f2c4383fbf0de0433040dae812f35bf550c60ac4a042c62afcff158619ebdc47d013dfa62d9b3dd446e8401ad50aaaeb212fb048a884a1c436b73b7afe2 SHA512 260d6abb2c24726fcddbe3ae828e96e315f90b6d486c11868066a25635968214a8c25a89737a9737c32ca110892a28f6b12badbeceb5e4d8d4a2a996b3ce7352
DIST python-gentoo-patches-3.6.14.tar.xz 14744 BLAKE2B b9482f9d2b7ada60eff9a5672ed21556c00b473a7cfdb543dce8253fb0ff1539e635a35569478c496012ecde4eef78a257da28f7a80bff99da10249708262229 SHA512 246f83911c8e52ea83a9bf453faa0bc0ea0c29bbf3b666a938e3790c6147f71e617ff9cb27501c5f0b89172eb9e7819e3f2ef0a5bae271cc938d2c0c2b93f7ae
DIST python-gentoo-patches-3.7.10_p6.tar.xz 23868 BLAKE2B 3b3786030a461d06a96dbe0987d05c35215bb5e7b0b95e1337a05a311ad6f3c6db68cc7082128c56eea3eff4b98f74d213dde1f48517e07791815b73dcdcd5b8 SHA512 b817a9bc1469675c14555ce50bb004e8c1426465997a72a94859ab10df7c2a036b33b332c9e6b9f49df1addd899a37afd28fe60bf6ce90b4b21f4a28a27aca25

@ -0,0 +1,346 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
WANT_LIBTOOL="none"
inherit autotools check-reqs flag-o-matic multiprocessing pax-utils \
python-utils-r1 toolchain-funcs verify-sig
MY_PV=${PV/_rc/rc}
MY_P="Python-${MY_PV%_p*}"
PYVER=$(ver_cut 1-2)
PATCHSET="python-gentoo-patches-${MY_PV}"
DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="https://www.python.org/"
SRC_URI="https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
verify-sig? (
https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
)"
S="${WORKDIR}/${MY_P}"
LICENSE="PSF-2"
SLOT="${PYVER}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="bluetooth build examples gdbm hardened ipv6 +ncurses +readline +sqlite +ssl test tk wininst +xml"
RESTRICT="!test? ( test )"
# Do not add a dependency on dev-lang/python to this ebuild.
# If you need to apply a patch which requires python for bootstrapping, please
# run the bootstrap code on your dev box and include the results in the
# patchset. See bug 447752.
RDEPEND="app-arch/bzip2:=
app-arch/xz-utils:=
dev-libs/libffi:=
sys-apps/util-linux:=
>=sys-libs/zlib-1.1.3:=
virtual/libcrypt:=
virtual/libintl
gdbm? ( sys-libs/gdbm:=[berkdb] )
ncurses? ( >=sys-libs/ncurses-5.2:= )
readline? ( >=sys-libs/readline-4.1:= )
sqlite? ( >=dev-db/sqlite-3.3.8:3= )
ssl? ( >=dev-libs/openssl-1.1.1:= )
tk? (
>=dev-lang/tcl-8.0:=
>=dev-lang/tk-8.0:=
dev-tcltk/blt:=
dev-tcltk/tix
)
xml? ( >=dev-libs/expat-2.1:= )
!!<sys-apps/sandbox-2.21"
# bluetooth requires headers from bluez
DEPEND="${RDEPEND}
bluetooth? ( net-wireless/bluez )
test? ( app-arch/xz-utils[extra-filters(+)] )"
# autoconf-archive needed to eautoreconf
BDEPEND="
sys-devel/autoconf-archive
virtual/pkgconfig
verify-sig? ( app-crypt/openpgp-keys-python )
!sys-devel/gcc[libffi(-)]"
RDEPEND+=" !build? ( app-misc/mime-types )"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/python.org.asc
# large file tests involve a 2.5G file being copied (duplicated)
CHECKREQS_DISK_BUILD=5500M
pkg_pretend() {
use test && check-reqs_pkg_pretend
}
pkg_setup() {
use test && check-reqs_pkg_setup
}
src_unpack() {
if use verify-sig; then
verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
fi
default
}
src_prepare() {
# Ensure that internal copies of expat, libffi and zlib are not used.
rm -fr Modules/expat || die
rm -fr Modules/_ctypes/libffi* || die
rm -fr Modules/zlib || die
local PATCHES=(
"${WORKDIR}/${PATCHSET}"
)
default
sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"
# force correct number of jobs
# https://bugs.gentoo.org/737660
local jobs=$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")
sed -i -e "s:-j0:-j${jobs}:" Makefile.pre.in || die
sed -i -e "/self\.parallel/s:True:${jobs}:" setup.py || die
eautoreconf
}
src_configure() {
local disable
# disable automagic bluetooth headers detection
use bluetooth || export ac_cv_header_bluetooth_bluetooth_h=no
use gdbm || disable+=" gdbm"
use ncurses || disable+=" _curses _curses_panel"
use readline || disable+=" readline"
use sqlite || disable+=" _sqlite3"
use ssl || export PYTHON_DISABLE_SSL="1"
use tk || disable+=" _tkinter"
use xml || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
export PYTHON_DISABLE_MODULES="${disable}"
if ! use xml; then
ewarn "You have configured Python without XML support."
ewarn "This is NOT a recommended configuration as you"
ewarn "may face problems parsing any XML documents."
fi
if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
fi
if [[ "$(gcc-major-version)" -ge 4 ]]; then
append-flags -fwrapv
fi
filter-flags -malign-double
# https://bugs.gentoo.org/show_bug.cgi?id=50309
if is-flagq -O3; then
is-flagq -fstack-protector-all && replace-flags -O3 -O2
use hardened && replace-flags -O3 -O2
fi
# https://bugs.gentoo.org/700012
if is-flagq -flto || is-flagq '-flto=*'; then
append-cflags $(test-flags-CC -ffat-lto-objects)
fi
# Export CXX so it ends up in /usr/lib/python3.X/config/Makefile.
tc-export CXX
# Fix implicit declarations on cross and prefix builds. Bug #674070.
use ncurses && append-cppflags -I"${ESYSROOT}"/usr/include/ncursesw
local dbmliborder
if use gdbm; then
dbmliborder+="${dbmliborder:+:}gdbm"
fi
local myeconfargs=(
# glibc-2.30 removes it; since we can't cleanly force-rebuild
# Python on glibc upgrade, remove it proactively to give
# a chance for users rebuilding python before glibc
ac_cv_header_stropts_h=no
--enable-shared
--without-static-libpython
$(use_enable ipv6)
--infodir='${prefix}/share/info'
--mandir='${prefix}/share/man'
--with-computed-gotos
--with-dbmliborder="${dbmliborder}"
--with-libc=
--enable-loadable-sqlite-extensions
--without-ensurepip
--with-system-expat
--with-system-ffi
)
OPT="" econf "${myeconfargs[@]}"
if grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
eerror "configure has detected that the sem_open function is broken."
eerror "Please ensure that /dev/shm is mounted as a tmpfs with mode 1777."
die "Broken sem_open function (bug 496328)"
fi
}
src_compile() {
# Ensure sed works as expected
# https://bugs.gentoo.org/594768
local -x LC_ALL=C
emake CPPFLAGS= CFLAGS= LDFLAGS=
# Work around bug 329499. See also bug 413751 and 457194.
if has_version dev-libs/libffi[pax-kernel]; then
pax-mark E python
else
pax-mark m python
fi
}
src_test() {
# Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
fi
# Skip failing tests.
local skipped_tests="gdb"
for test in ${skipped_tests}; do
mv "${S}"/Lib/test/test_${test}.py "${T}"
done
# bug 660358
local -x COLUMNS=80
local -x PYTHONDONTWRITEBYTECODE=
# workaround https://bugs.gentoo.org/775416
addwrite /usr/lib/python3.10/site-packages
local jobs=$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")
emake test EXTRATESTOPTS="-u-network -j${jobs}" \
CPPFLAGS= CFLAGS= LDFLAGS= < /dev/tty
local result=$?
for test in ${skipped_tests}; do
mv "${T}/test_${test}.py" "${S}"/Lib/test
done
elog "The following tests have been skipped:"
for test in ${skipped_tests}; do
elog "test_${test}.py"
done
elog "If you would like to run them, you may:"
elog "cd '${EPREFIX}/usr/lib/python${PYVER}/test'"
elog "and run the tests separately."
if [[ ${result} -ne 0 ]]; then
die "emake test failed"
fi
}
src_install() {
local libdir=${ED}/usr/lib/python${PYVER}
emake DESTDIR="${D}" altinstall
sed \
-e "s/\(CONFIGURE_LDFLAGS=\).*/\1/" \
-e "s/\(PY_LDFLAGS=\).*/\1/" \
-i "${libdir}/config-${PYVER}"*/Makefile || die "sed failed"
# Fix collisions between different slots of Python.
rm "${ED}/usr/$(get_libdir)/libpython3.so" || die
# Cheap hack to get version with ABIFLAGS
local abiver=$(cd "${ED}/usr/include"; echo python*)
if [[ ${abiver} != python${PYVER} ]]; then
# Replace python3.X with a symlink to python3.Xm
rm "${ED}/usr/bin/python${PYVER}" || die
dosym "${abiver}" "/usr/bin/python${PYVER}"
# Create python3.X-config symlink
dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
# Create python-3.5m.pc symlink
dosym "python-${PYVER}.pc" "/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
fi
# python seems to get rebuilt in src_install (bug 569908)
# Work around it for now.
if has_version dev-libs/libffi[pax-kernel]; then
pax-mark E "${ED}/usr/bin/${abiver}"
else
pax-mark m "${ED}/usr/bin/${abiver}"
fi
use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
use tk || rm -r "${ED}/usr/bin/idle${PYVER}" "${libdir}/"{idlelib,tkinter,test/test_tk*} || die
dodoc Misc/{ACKS,HISTORY,NEWS}
if use examples; then
docinto examples
find Tools -name __pycache__ -exec rm -fr {} + || die
dodoc -r Tools
fi
insinto /usr/share/gdb/auto-load/usr/$(get_libdir) #443510
local libname=$(printf 'e:\n\t@echo $(INSTSONAME)\ninclude Makefile\n' | \
emake --no-print-directory -s -f - 2>/dev/null)
newins "${S}"/Tools/gdb/libpython.py "${libname}"-gdb.py
newconfd "${FILESDIR}/pydoc.conf" pydoc-${PYVER}
newinitd "${FILESDIR}/pydoc.init" pydoc-${PYVER}
sed \
-e "s:@PYDOC_PORT_VARIABLE@:PYDOC${PYVER/./_}_PORT:" \
-e "s:@PYDOC@:pydoc${PYVER}:" \
-i "${ED}/etc/conf.d/pydoc-${PYVER}" \
"${ED}/etc/init.d/pydoc-${PYVER}" || die "sed failed"
local -x EPYTHON=python${PYVER}
# if not using a cross-compiler, use the fresh binary
if ! tc-is-cross-compiler; then
local -x PYTHON=./python
local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${PWD}
else
local -x PYTHON=${EPREFIX}/usr/bin/${EPYTHON}
fi
echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# python-exec wrapping support
local pymajor=${PYVER%.*}
local scriptdir=${D}$(python_get_scriptdir)
mkdir -p "${scriptdir}" || die
# python and pythonX
ln -s "../../../bin/${abiver}" \
"${scriptdir}/python${pymajor}" || die
ln -s "python${pymajor}" "${scriptdir}/python" || die
# python-config and pythonX-config
# note: we need to create a wrapper rather than symlinking it due
# to some random dirname(argv[0]) magic performed by python-config
cat > "${scriptdir}/python${pymajor}-config" <<-EOF || die
#!/bin/sh
exec "${abiver}-config" "\${@}"
EOF
chmod +x "${scriptdir}/python${pymajor}-config" || die
ln -s "python${pymajor}-config" \
"${scriptdir}/python-config" || die
# 2to3, pydoc
ln -s "../../../bin/2to3-${PYVER}" \
"${scriptdir}/2to3" || die
ln -s "../../../bin/pydoc${PYVER}" \
"${scriptdir}/pydoc" || die
# idle
if use tk; then
ln -s "../../../bin/idle${PYVER}" \
"${scriptdir}/idle" || die
fi
}

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/farsightsec/fstrm/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~mips ppc ppc64 ~s390 ~sparc x86"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ppc ppc64 ~s390 ~sparc x86"
IUSE="utils"
BDEPEND="virtual/pkgconfig"

@ -1,3 +1,2 @@
DIST libgnt-2.14.0.tar.xz 102444 BLAKE2B 303dc33e60571ba4b5b9cc8ce477807b9b2ed6b4d1ed14e40c43e146a6d3d156741597befdf3e6c0c6816e9d43955f57f9e1b61e3f1f2d2fc451bf53f7236022 SHA512 0d9c5550374696a0e6ede5246cda3c372d7055d21b9ffaf10be88d6a469bdf18c7dd1113ec612acf4889c0e5686ea87bb0e8348ca8985fd5ff8913afc5813b38
DIST libgnt-2.14.1.tar.xz 106564 BLAKE2B 19eddef51b44fa82982c705415fee43bf7495bc4692a7371fea782bcc21acdb932f15e1e8de6af962a529eea59f54c0b116d96b87ed3616201e6370760fac5b8 SHA512 434fff31a0946dabeaadbabaf96b4a7cf7f2a7da6d7794b7cf8a75f3f959388d89b32ce5921a20d5d6532ac2fd851ec2f6c18cc7cbc5a0ae97a00ff1ee3f74c3
DIST libgnt-2.14.2.tar.xz 106128 BLAKE2B d3db0ba3a297c14f32cc49b4e5b3392f47031e9406d862520a2f014f4d4e93c13e2ba5a2d61df81637f9dd7961d64ba69b393ee5b3cfebd7eb2768e3f16f29d0 SHA512 17b39e132b44b23486d7d39fa02761997a28abf53f67bf71bbad86d35124e5deb0363d670b2fb5ac99d47256282b0ef6ad1886e12984c868bb0d13ea7ba7d860

@ -1,40 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit meson
DESCRIPTION="Pidgin's GLib Ncurses Toolkit"
HOMEPAGE="https://keep.imfreedom.org/libgnt/libgnt"
SRC_URI="mirror://sourceforge/pidgin/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc"
RDEPEND="
!<net-im/pidgin-2.14.0
dev-libs/glib:2
dev-libs/libxml2
sys-libs/ncurses:0=
"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/glib-utils
virtual/pkgconfig
doc? ( dev-util/gtk-doc )
"
PATCHES=(
"${FILESDIR}/${PN}-2.14.0-optional_docs.patch"
"${FILESDIR}/${PN}-2.14.0-tinfo.patch"
)
src_configure() {
local emesonargs=(
$(meson_use doc)
)
meson_src_configure
}

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/pidgin/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc"
RDEPEND="

@ -21,7 +21,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="BSD"
SLOT="3"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE="bzip2 +cxx +jit libedit pcre16 pcre32 +readline +recursion-limit static-libs unicode zlib"
REQUIRED_USE="readline? ( !libedit )
libedit? ( !readline )"

@ -1,47 +1,41 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit flag-o-matic multilib-minimal
if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="git://git.code.sf.net/p/libwpd/librevenge"
if [[ ${PV} == *9999* ]] ; then
EGIT_REPO_URI="https://git.code.sf.net/p/libwpd/librevenge"
inherit git-r3 autotools
else
SRC_URI="https://sf.net/projects/libwpd/files/${PN}/${P}/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
fi
DESCRIPTION="Helper library for REVerse ENGineered formats filters"
HOMEPAGE="https://sf.net/p/libwpd/librevenge"
LICENSE="|| ( MPL-2.0 LGPL-2.1 )"
SLOT="0"
IUSE="doc test"
RESTRICT="!test? ( test )"
BDEPEND="
doc? ( app-doc/doxygen )
"
RDEPEND="
sys-libs/zlib[${MULTILIB_USEDEP}]
"
RDEPEND="sys-libs/zlib[${MULTILIB_USEDEP}]"
DEPEND="${RDEPEND}
dev-libs/boost
test? ( dev-util/cppunit[${MULTILIB_USEDEP}] )
"
BDEPEND="doc? ( app-doc/doxygen )"
src_prepare() {
default
[[ ${PV} = *9999 ]] && eautoreconf
# bug 651264
append-cxxflags -std=c++11
[[ ${PV} == *9999* ]] && eautoreconf
}
multilib_src_configure() {
local myeconfargs=(
--disable-static
--disable-werror
$(use_with doc docs)
$(use_enable test tests)

Binary file not shown.

@ -2,3 +2,4 @@ DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3
DIST llvmorg-11.1.0.tar.gz 122776532 BLAKE2B ca842ff4afff8f44c82b5e7383962a9c45ca1c93b64fa4c6ebcd70a1d3849dbad2b8e4e24fba02d144c6266d7fab3607ebc6999b28c229cb35256cf40f26a985 SHA512 9a8ce022a935eed42fa71a224f2a207122aadcbef58ee855fdb4825f879e7d028e4dcff22c19b9d336db1c8bf63fb84372d44981acf84615f757e54306c92b81
DIST llvmorg-12.0.0.tar.gz 134226215 BLAKE2B f9c3ba8c58571855caa4f206fd285c9b5be66672fb0814cb8bc0964a051f57f5d35013aa1e27cbda502652b37df1ec23474129109e76a42066847860db441dbe SHA512 0cff02155c5ac0d6db2b72d60d9819d5b5dd859663b45f721b1c7540239c2fceb1f57d9173f6870c49de851c242ed8e85c5c6d6577a1f8092a7c5dcd12513b26
DIST llvmorg-12.0.1.tar.gz 134259748 BLAKE2B f41de787bc73ff2edfda1b22cc8602be6f65f37dd9e4c8888533cfa8c3ccdcf4f108aaab9de23ab0ab987966eb160f2a553a0bdff99461e71ddd5bfcd086090d SHA512 6eb0dc18e2c25935fabfdfc48b0114be0939158dfdef7b85b395fe2e71042672446af0e68750aae003c9847d10d1f63316fe95d3df738d18f249174292b1b9e1
DIST llvmorg-13.0.0-rc1.tar.gz 147235597 BLAKE2B 089fed119dee8a16f278cebb13808bd5a95629cc87ebee3050225cc041b78fee51acacc5bcc913d4a99e830bfe5774b19a04a845293c5087dd2a8c9d94d2fde9 SHA512 6e307e2c2dcb7ff41d11ee29d69f41c0ef55f200999847a3a924a2e773fc9c2160015746789af8b723c628bd232f97fce63370209bd0065491d80b0cc0017e85

@ -0,0 +1,124 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake llvm llvm.org python-any-r1
DESCRIPTION="OCaml bindings for LLVM"
HOMEPAGE="https://llvm.org/"
# Keep in sync with sys-devel/llvm
ALL_LLVM_EXPERIMENTAL_TARGETS=( ARC CSKY M68k VE )
ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM AVR BPF Hexagon Lanai Mips MSP430
NVPTX PowerPC RISCV Sparc SystemZ WebAssembly X86 XCore
"${ALL_LLVM_EXPERIMENTAL_TARGETS[@]}" )
ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0/${PV}"
KEYWORDS=""
IUSE="debug test ${ALL_LLVM_TARGETS[*]}"
REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-lang/ocaml-4.00.0:0=
dev-ml/ocaml-ctypes:=
~sys-devel/llvm-${PV}:=[debug?]
!sys-devel/llvm[ocaml(-)]"
for x in "${ALL_LLVM_TARGETS[@]}"; do
RDEPEND+="
${x}? ( ~sys-devel/llvm-${PV}[${x}] )"
done
unset x
DEPEND="${RDEPEND}"
BDEPEND="
dev-lang/perl
dev-ml/findlib
>=dev-util/cmake-3.16
test? ( dev-ml/ounit2 )
${PYTHON_DEPS}"
LLVM_COMPONENTS=( llvm )
llvm.org_set_globals
pkg_setup() {
LLVM_MAX_SLOT=${PV%%.*} llvm_pkg_setup
python-any-r1_pkg_setup
}
src_configure() {
local libdir=$(get_libdir)
local mycmakeargs=(
-DLLVM_LIBDIR_SUFFIX=${libdir#lib}
-DBUILD_SHARED_LIBS=OFF
-DLLVM_BUILD_LLVM_DYLIB=ON
-DLLVM_LINK_LLVM_DYLIB=ON
-DLLVM_OCAML_OUT_OF_TREE=ON
# cheap hack: LLVM combines both anyway, and the only difference
# is that the former list is explicitly verified at cmake time
-DLLVM_TARGETS_TO_BUILD=""
-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="${LLVM_TARGETS// /;}"
-DLLVM_BUILD_TESTS=$(usex test)
# disable various irrelevant deps and settings
-DLLVM_ENABLE_FFI=OFF
-DLLVM_ENABLE_TERMINFO=OFF
-DHAVE_HISTEDIT_H=NO
-DLLVM_ENABLE_ASSERTIONS=$(usex debug)
-DLLVM_ENABLE_EH=ON
-DLLVM_ENABLE_RTTI=ON
-DLLVM_HOST_TRIPLE="${CHOST}"
-DPython3_EXECUTABLE="${PYTHON}"
# disable go bindings
-DGO_EXECUTABLE=GO_EXECUTABLE-NOTFOUND
# TODO: ocamldoc
)
use test && mycmakeargs+=(
-DLLVM_LIT_ARGS="$(get_lit_flags)"
)
# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
# also: custom rules for OCaml do not work for CPPFLAGS
use debug || local -x CFLAGS="${CFLAGS} -DNDEBUG"
cmake_src_configure
local llvm_libdir=$(llvm-config --libdir)
# an ugly hack; TODO: figure out a way to pass -L to ocaml...
cd "${BUILD_DIR}/${libdir}" || die
ln -s "${llvm_libdir}"/*.so . || die
if use test; then
local llvm_bindir=$(llvm-config --bindir)
# Force using system-installed tools.
sed -i -e "/llvm_tools_dir/s@\".*\"@\"${llvm_bindir}\"@" \
"${BUILD_DIR}"/test/lit.site.cfg.py || die
fi
}
src_compile() {
cmake_build ocaml_all
}
src_test() {
# respect TMPDIR!
local -x LIT_PRESERVES_TMP=1
cmake_build check-llvm-bindings-ocaml
}
src_install() {
DESTDIR="${D}" \
cmake -P "${BUILD_DIR}"/bindings/ocaml/cmake_install.cmake || die
dodoc bindings/ocaml/README.txt
}

@ -13,7 +13,7 @@ S="${WORKDIR}/${PN}-${MY_PV/+/-}"
LICENSE="LGPL-2-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt"
BDEPEND="dev-ml/dune-configurator"

@ -11,7 +11,7 @@ SRC_URI="https://github.com/janestreet/ppx_sexp_conv/archive/v${PV}.tar.gz -> ${
LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="amd64 arm ~arm64 ppc ppc64 x86"
KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
IUSE="+ocamlopt"
# Upper bound on ppxlib for bug #769536

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Install the C libxml2 library on your system"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ DESCRIPTION="Interface to FITS headers"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 ~arm ~hppa ~mips ppc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 arm ~hppa ~mips ppc x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"

@ -12,7 +12,7 @@ HOMEPAGE="http://www.danga.com/memcached/ https://metacpan.org/release/Cache-Mem
# Bug: https://bugs.gentoo.org/721730
LICENSE="|| ( Artistic GPL-1 )"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
RDEPEND="
virtual/perl-Encode

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Implementation of a Singleton class"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
BDEPEND="
>=virtual/perl-ExtUtils-MakeMaker-6.640.0

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Guess OpenSSL include path"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="The Twofish Encryption Algorithm"
SLOT="0"
KEYWORDS="amd64 ~ia64 ~ppc sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
KEYWORDS="amd64 ~ia64 ~ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
src_compile() {
mymake=(

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="PostgreSQL database driver for the DBI module"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Encapsulate SQL queries and rows in simple Perl objects"
SLOT="0"
KEYWORDS="amd64 ~hppa ~ppc ~x86"
KEYWORDS="amd64 ~hppa ~ppc x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,4 +11,4 @@ inherit perl-module
DESCRIPTION="Hexadecial Dumper"
SLOT="0"
KEYWORDS="amd64 ~hppa ~sparc ~x86"
KEYWORDS="amd64 ~hppa ~sparc x86"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Simple, transparent data interface, with caching"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 ~x86"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -12,7 +12,7 @@ inherit perl-module
DESCRIPTION="IPv4 and IPv6 validation methods"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc ~x86"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Perl date manipulation routines"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="elibc_musl test"
RESTRICT="!test? ( test )"

@ -12,7 +12,7 @@ DESCRIPTION="Localization support for DateTime"
LICENSE="|| ( Artistic GPL-1+ ) unicode"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ DESCRIPTION="A date and time object"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Forces the unavailability of specified Perl modules (for testing)"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ inherit perl-module toolchain-funcs
DESCRIPTION="Powerful feature-rich perl source code profiler"
SLOT="0"
KEYWORDS="amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Introspect overloaded operators"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ppc ppc64 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Generic CRC functions"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux"
BDEPEND="
virtual/perl-ExtUtils-MakeMaker

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Keyed Hashing for Message Authentication"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
>=virtual/perl-Digest-MD5-2.0.0

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Parse a MIME Content-Type Header or Content-Disposition Header"
SLOT="0"
KEYWORDS="~alpha amd64 ppc ppc64 ~x86 ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ppc ppc64 x86 ~sparc-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="A library for sending email"
SLOT="0"
KEYWORDS="amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Fast, generic event loop"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~ia64 ppc ppc64 sparc ~x86 ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~ia64 ppc ppc64 sparc x86 ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A module that allows you to declare real exception classes in Perl"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Easily build XS extensions that depend on XS extensions"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module toolchain-funcs
DESCRIPTION="Simple interface to F77 libs"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-perl/File-Which

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Check that a library is available for FFI"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Parse directory listings"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,4 +10,4 @@ inherit perl-module
DESCRIPTION="Read a file backwards by lines"
SLOT="0"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~ppc ppc64 sparc ~x86 ~x86-solaris"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~ppc ppc64 sparc x86 ~x86-solaris"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Remove files and directories"
LICENSE="|| ( Artistic GPL-1+ ) || ( CC0-1.0 public-domain MIT )"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Locate per-dist and per-module shared files"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
IUSE="minimal test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Perl implementation of the which utility as an API"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test pwhich"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Getopt::Long with usage text"
SLOT="0"
KEYWORDS="amd64 ~arm ppc ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
KEYWORDS="amd64 arm ppc ~riscv x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="test minimal"
RESTRICT="!test? ( test )"

@ -11,7 +11,7 @@ DESCRIPTION="Dynamically create Perl language bindings"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
RDEPEND="
>=dev-perl/glib-perl-1.320.0

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="WWW color names and equivalent RGB values"
SLOT="0"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Defines RGB values for common color names"
SLOT="0"
KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save